News and Events

FP8 Modification for ZaxHub Compatibility

If you have an FP8 with a serial number lower than #1127 and would like you use your FP8 along with the Nomad Touch / ZaxHub feature you’ll need to install┬áthis FP8 Modification.

 

Comment

facebook twitter youtube flickr contact